package com.iconplus.smartproc.model.request;

import com.iconplus.smartproc.helper.base.BaseRequest;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.data.domain.Pageable;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class RksTemplateRequest extends BaseRequest {

    private Long id;
    private String kodeTemplate;
    private String namaTemplate;
    private Long metodePengadaanId;
    private String versi;
    private Long rksDaftarIsiId;
    private Boolean isActive;
    private Boolean isDelete;

    private transient Pageable pageable;
}
